- Qt 6.10
- Qt Quick 3D Physics
- QML Types
- TriggerBody
- Qt Quick 3D Physics | Commercial or GPLv3

# TriggerBody QML Type

Reports when objects enter a given volume. More...

Import Statement: | `import QtQuick3D.Physics`
Since: | Qt 6.4
Inherits: | PhysicsNode

- List of all members, including inherited members

## Properties

- collisionCount : int

## Signals

- bodyEntered(PhysicsNode *body)
- bodyExited(PhysicsNode *body)

## Detailed Description

This type defines a trigger body. A trigger body is a body that does not interact physically but is used to detect when objects intersect with its volume.

## Property Documentation

collisionCount : int

This property returns the number of bodies currently colliding with the trigger body.

## Signal Documentation

bodyEntered(PhysicsNode *body)

This signal is emitted when the trigger body is penetrated by the specified body.

Note: The corresponding handler is `onBodyEntered`.

bodyExited(PhysicsNode *body)

This signal is emitted when the trigger body is no longer penetrated by the specified body.

Note: The corresponding handler is `onBodyExited`.